# revision 30326
# category TLCore
# catalog-ctan undef
# catalog-date undef
# catalog-license undef
# catalog-version undef
Name:		texlive-hyphen-georgian
Version:	20131012
Release:	7
Summary:	Georgian hyphenation patterns
Group:		Publishing
URL:		http://tug.org/texlive
License:	http://www.tug.org/texlive/LICENSE.TL
Source0:	http://mirrors.ctan.org/systems/texlive/tlnet/archive/hyphen-georgian.tar.xz
BuildArch:	noarch
BuildRequires:	texlive-tlpkg
Requires(pre):	texlive-tlpkg
Requires(post):	texlive-hyphen-base
Requires:	texlive-hyph-utf8

%description
Hyphenation patterns for Georgian in T8M, T8K and UTF-8
encodings.


#-----------------------------------------------------------------------
%files
%_texmf_language_dat_d/hyphen-georgian
%_texmf_language_def_d/hyphen-georgian
%_texmf_language_lua_d/hyphen-georgian

#-----------------------------------------------------------------------
%prep
%setup -c -a0

%build

%install
mkdir -p %{buildroot}%{_texmf_language_dat_d}
cat > %{buildroot}%{_texmf_language_dat_d}/hyphen-georgian <<EOF
\%% from hyphen-georgian:
georgian loadhyph-ka.tex
EOF
perl -pi -e 's|\\%%|%%|;' %{buildroot}%{_texmf_language_dat_d}/hyphen-georgian
mkdir -p %{buildroot}%{_texmf_language_def_d}
cat > %{buildroot}%{_texmf_language_def_d}/hyphen-georgian <<EOF
\%% from hyphen-georgian:
\addlanguage{georgian}{loadhyph-ka.tex}{}{2}{3}
EOF
perl -pi -e 's|\\%%|%%|;' %{buildroot}%{_texmf_language_def_d}/hyphen-georgian
mkdir -p %{buildroot}%{_texmf_language_lua_d}
cat > %{buildroot}%{_texmf_language_lua_d}/hyphen-georgian <<EOF
-- from hyphen-georgian:
	['georgian'] = {
		loader = 'loadhyph-ka.tex',
		lefthyphenmin = 2,
		righthyphenmin = 3,
		synonyms = {  },
		patterns = 'hyph-ka.pat.txt',
		hyphenation = '',
	},
EOF

%changelog
* Tue Feb 10 2015 Denis Silakov <denis.silakov@rosalab.ru> 20131012-7
+ Revision: ccf1f83
- Drop obsolete post scripts - replaced with triggers


